makeWebAudio.sh
changeset 223 0ef955669a9a
parent 197 8f352063f277
child 369 e5f59f0e7dd5
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/makeWebAudio.sh	Fri Feb 22 01:09:37 2013 +0000
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Make audio required for the website but not for the book.
+# They go into web/<book>.
+#
+
+if [ $# != 1 ]; then
+    echo "Usage: makeWebAudio.sh <book dir name>"
+    exit 1
+fi
+
+dir=`pwd`
+
+booke=$dir/$1
+builddir=$dir/web/$1
+
+mkdir -p $builddir
+
+# Now, for each tune, make the tune bitmap and sound. Do this to temp
+# files and rename into place to make updates as atomic as possible.
+find $booke -name "*.abc" | sort |
+    while read filename
+    do
+        name=`basename $filename .abc`
+        tmpname=${name}.tmp
+
+        abc2midi $filename -o $builddir/${tmpname}.mid
+        timidity -Ow -o $builddir/${tmpname}.wav $builddir/${tmpname}.mid
+        lame --quiet $builddir/${tmpname}.wav $builddir/${tmpname}.mp3
+
+        mv $builddir/${tmpname}.mid $builddir/${name}.mid
+        mv $builddir/${tmpname}.mp3 $builddir/${name}.mp3
+        rm $builddir/${tmpname}.wav
+    done